<?php
include_once 'sys/inc/start.php';
$doc = new document(); // инициализация документа для браузера
$doc->title = 'Анкета';

if (isset($_GET['id']))$ank = new user((int)$_GET['id']);else $ank = $user;


if (!$ank->group)$doc->access_denied('Нет данных');



if ($ank->id==$user->id)$doc->title='Моя анкета';else $doc->title.=' "'.$ank->login.'"';


if ($user->group && $user->id!=$ank->id && isset($_GET['friend']))
{
// обработка действий с "другом"

$q=mysql_query("SELECT * FROM `friends` WHERE `id_user` = '$user->id' AND `id_friend` = '$ank->id' LIMIT 1");
if (mysql_num_rows($q))
{
$friend=mysql_fetch_assoc($q);
if ($friend['confirm'])
{
// если Вы уже являетель другом
if (isset($_POST['delete']))
{
// удаляем пользователя из друзей
mysql_query("DELETE FROM `friends` WHERE `id_user` = '{$user->id}' AND `id_friend` = '{$ank->id}' OR `id_user` = '{$ank->id}' AND `id_friend` = '{$user->id}'");
$doc->msg('Пользователь успешно удален из друзей');
}

}
else
{
// если не являетесь другом

if (isset($_POST['no']))
{
// не принимаем предложение дружбы
mysql_query("DELETE FROM `friends` WHERE `id_user` = '$user->id' AND `id_friend` = '$ank->id' OR `id_user` = '$ank->id' AND `id_friend` = '$user->id'");
mysql_query("UPDATE `users` SET `friend_new_count` = `friend_new_count` - '1' WHERE `id` = '{$user->id}' LIMIT 1");

$doc->msg('Предложение дружбы отклонено');
}
elseif (isset($_POST['ok']))
{
// принимаем предложение дружбы
mysql_query("UPDATE `friends` SET `confirm` = '1' WHERE `id_user` = '$user->id' AND `id_friend` = '$ank->id' LIMIT 1");
mysql_query("UPDATE `users` SET `friend_new_count` = `friend_new_count` - '1' WHERE `id` = '{$user->id}' LIMIT 1");

// на всякий случай пытаемся добавить поле (хотя оно уже должно быть), если оно уже есть, то дублироваться не будет
mysql_query("INSERT INTO `friends` (`confirm`, `id_user`, `id_friend`) VALUES ('1', '$ank->id', '$user->id')");
$doc->msg('Предложение дружбы принято');
}




}
}
else
{
if (isset($_GET['friend']) && isset($_POST['add']))
{
// предлагаем дружбу
// отметка о запросе дружбы
mysql_query("INSERT INTO `friends` (`confirm`, `id_user`, `id_friend`) VALUES ('0', '$ank->id', '$user->id'), ('1', '$user->id', '$ank->id')");
mysql_query("UPDATE `users` SET `friend_new_count` = `friend_new_count` + '1' WHERE `id` = '{$ank->id}' LIMIT 1");


$doc->msg('Предложение дружбы успешно отправлено');
}
}
}





if ($ank->is_ban)
{
$posts = array();
$q = mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank->id' AND `time_start` < '".TIME."' AND `time_end` > '".TIME."' ORDER BY `id` DESC");
while ($c=mysql_fetch_assoc($q)) {
$adm=new user($c['id_adm']);

$t=($adm -> group <= $user -> group ? '<a href="/profile.view.php?id='.$adm->id.'">'.$adm -> nick.'</a>: ' : ''). for_value($c['code']);
$post = vremja($c['time_end']).'<br />';
$post .= output_text($c['comment']);
$posts[]=array('title'=>$t,'post'=>$post);
}
$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');
}





//статус
if ($ank->group > 1)
{

echo "<b>$ank->group_name</b>";


$q=mysql_query("SELECT `id_adm` FROM `log_of_user_status` WHERE `id_user` = '$ank->id' ORDER BY `id` DESC LIMIT 1");
if (mysql_num_rows($q))
{
$adm=new user(mysql_result($q, 0));
echo ' (Назначил'.($adm->sex?'':'а').' '.$adm->group_name.' "'.$adm->nick.'")';
}
echo "<br />\n";
}
// VIP статус
elseif ($ank->is_vip)
{
echo '<img src="/sys/images/icons/vip.png" alt="VIP" /> VIP <a href="/faq.php?info=vip&amp;return='.URL.'">?</a><br />';
}

// реальное имя
if ($ank->realname)
{
echo "Имя: {$ank->realname}<br />";
}



// дата рождения и возраст
if ($ank->ank_d_r && $ank->ank_m_r && $ank->ank_g_r){
echo 'Дата рождения: '.$ank->ank_d_r.' '.rus_mes($ank->ank_m_r).' '.$ank->ank_g_r."<br />";
echo 'Возраст: '.misc::get_age($ank->ank_g_r,$ank->ank_m_r,$ank->ank_d_r,true)."<br />";
}
elseif($ank->ank_d_r && $ank->ank_m_r)echo 'День рождения: '.$ank->ank_d_r.' '.rus_mes($ank->ank_m_r)."<br />";



// аська
if ($ank->icq_uin)
{
if ($ank->is_friend($user) || $ank->vis_icq)
echo "<img src='http://web.icq.com/whitepages/online?icq={$ank->icq_uin}&amp;img=27' alt='ICQ' /> {$ank->icq_uin}<br />";
else echo 'ICQ: <a href="/faq.php?info=hide&amp;return='.URL.'">?</a><br />';
}


// аська
if ($ank->skype)
{
if ($ank->is_friend($user) || $ank->vis_skype)
echo "<img src=\"http://mystatus.skype.com/smallicon/{$ank->skype}\" width=\"16\" height=\"16\" alt=\"Мой статус\" /> <a href=\"skype:{$ank->skype}?chat\">{$ank->skype}</a><br />";
else echo 'Skype: <a href="/faq.php?info=hide&amp;return='.URL.'">?</a><br />';
}

// мыло
if ($ank->email)
{
if ($ank->is_friend($user) || $ank->vis_email){
if (preg_match("#\@(mail|bk|inbox|list)\.ru$#i", $ank->email))
echo "<img src='http://status.mail.ru/?{$ank->email}' width='13' height='13' alt='' /> <a href='mailto:{$ank->email}'>{$ank->email}</a><br />";
else echo "E-mail: <a href='mailto:{$ank->email}'>{$ank->email}</a><br />";
}
else echo 'E-mail: <a href="/faq.php?info=hide&amp;return='.URL.'">?</a><br />';
}


if ($ank->is_friend($user) || $ank->vis_friends){
$k_friends=mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `id_user` = '$ank->id' AND `confirm` = '1'"),0);
echo "<a href='".($ank->id==$user->id?"/my.friends.php":"/profile.friends.php?id={$ank->id}")."'>Друзья: ".$k_friends.'</a><br />';
}
else echo 'Друзья: <a href="/faq.php?info=hide&amp;return='.URL.'">?</a><br />';


echo "<a href='/profile.reviews.php?id={$ank->id}'>Рейтинг: ".$ank->rating.'</a><br />';

echo "Баллы: {$ank->balls}<br />";


if ($ank -> description)
echo 'О себе: '.output_text($ank -> description)."<br />";

echo 'Последний визит: '.vremja($ank->last_visit).'<br />';
echo "Всего переходов: {$ank->conversions}<br />";
echo 'Дата регистрации: '.date('d-m-Y',$ank->reg_date).'<br />';

$q=mysql_query("SELECT `id_user` FROM `invations` WHERE `id_invite` = '$ank->id' LIMIT 1");
if (mysql_num_rows($q))
{
$inv=new user(mysql_result($q, 0, 'id_user'));
echo "По приглашению от &quot;<a href='?id={$inv->id}'>{$inv->nick}</a>&quot;";
}



if ($user->group && $user->id!=$ank->id)
{


$q=mysql_query("SELECT * FROM `friends` WHERE `id_user` = '$user->id' AND `id_friend` = '$ank->id' LIMIT 1");
if (mysql_num_rows($q))
{
$friend=mysql_fetch_assoc($q);
if ($friend['confirm'])
{
// пользователь находится в друзьях
if (isset($_GET['friend']) && $_GET['friend']=='delete')
{
$form = new design();
$form->assign('method','post');
$form->assign('action',"?id={$ank->id}&amp;friend&amp;".passgen());
$elements=array();
$elements[]=array('type'=>'text', 'br'=>1, 'value'=>"Действительно хотите удалить пользователя &quot;{$ank->login}&quot; из друзей?"); // правила
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'delete', 'value'=>'Да, удалить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');
}

if (!$ank->is_friend($user))echo "<b>Пользователь еще не подтвердил факт Вашей дружбы</b><br />";
$doc->act('Удалить из друзей',"?id={$ank->id}&amp;friend=delete");
}
else
{
// пользователь не в друзьях
$form = new design();
$form->assign('method','post');
$form->assign('action',"?id={$ank->id}&amp;friend&amp;".passgen());
$elements=array();
$elements[]=array('type'=>'text', 'br'=>1, 'value'=>"Пользователь &quot;{$ank->nick}&quot; предлагает Вам дружбу"); // правила
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'ok', 'value'=>'Принимаю')); // кнопка
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'no', 'value'=>'Не принимаю')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');
}
}
else
{
if (isset($_GET['friend']) && $_GET['friend']=='add')
{
$form = new design();
$form->assign('method','post');
$form->assign('action',"?id={$ank->id}&amp;friend&amp;".passgen());
$elements=array();
$elements[]=array('type'=>'text', 'br'=>1, 'value'=>"Предложить пользователю &quot;{$ank->nick}&quot; дружбу?"); // правила
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'add', 'value'=>'Предложить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');
}
$doc->act('Добавить в друзья',"?id={$ank->id}&amp;friend=add");
}
}

if ($user -> group && $ank->id!=$user->id){
$doc->act('Написать сообщение',"my.mail.php?id={$ank->id}");

if ($user->group > $ank->group)
$doc->act('Доступные действия',"/dpanel/user.actions.php?id={$ank->id}");



}
if ($user->group)$doc->ret('Личное меню','/menu.user.php');

?>
